# esp32_BNO08x: bno08x_raw_accel_t Struct Reference

Loading...
Searching...
No Matches
bno08x_raw_accel_t Struct Reference

Struct to represent raw mems accelerometer data from raw accelerometer reports (units in ADC counts). More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_raw_accel_t ()
bno08x_raw_accel_t & | operator= (const sh2_RawAccelerometer_t &source)

## Public Attributes

int16_t | x
int16_t | y
int16_t | z
uint32_t | timestamp_us
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent raw mems accelerometer data from raw accelerometer reports (units in ADC counts).

## Constructor & Destructor Documentation

## bno08x_raw_accel_t()

bno08x_raw_accel_t::bno08x_raw_accel_t | ( |  | ) |

inline

## Member Function Documentation

## operator=()

bno08x_raw_accel_t & bno08x_raw_accel_t::operator= | ( | const sh2_RawAccelerometer_t & | source | ) |

inline

## Member Data Documentation

## accuracy

BNO08xAccuracy bno08x_raw_accel_t::accuracy

## timestamp_us

uint32_t bno08x_raw_accel_t::timestamp_us

## x

int16_t bno08x_raw_accel_t::x

## y

int16_t bno08x_raw_accel_t::y

## z

int16_t bno08x_raw_accel_t::z

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp